@font-face {
  font-family: "Yekan";
  src: url(./font/Yekan/Yekan.ttf);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
}

/* تعریف پالت رنگ در :root */
:root {
  /* تایپوگرافی */
  --font-family-base: "Yekan", "Arial, sans-serif";
  --ff-yekan: "Yekan";
  --ff-Entezar: "Entezar";
  --ff-Koodak: "Koodak";
  --font-weight-normal: 400;
  --font-weight-bold: 700;
  --line-height-base: 1.5;
  --letter-spacing-normal: 0.5px;

  --font-size-base: 16px;
  --font-size-xs: 14px;
  --font-size-sm: 15px;
  --font-size-md: 16px;
  --font-size-lg: 18px;
  --font-size-xl: 20px;
  --font-size-xxl: clamp(
    1.25rem,
    2.5vw,
    2rem
  ); /* استفاده از clamp برای مقیاس‌بندی بهتر */

  /* نقاط شکست */
  --breakpoint-xs: 0;
  --breakpoint-sm: 576px;
  --breakpoint-md: 768px;
  --breakpoint-lg: 992px;
  --breakpoint-xl: 1200px;

  /* رنگ‌ها */
  --color-primary: #f5f5f5;
  --color-secondary: #2b3a67;
  --color-accent: #f76c5e;
  --color-button: #2b3a67;
  --color-button-hover: #1e2a50;
  --color-text: #333333;
  --color-background: #ffffff;
  --color-light-gray: #e0e0e0;
  --color-gray: #b0b0b0;
  --color-dark-gray: #707070;
  --color-darker-gray: #404040;
  --color-success: #28a745;
  --color-danger: #dc3545;
  --color-warning: #ffc107;
  --color-info: #17a2b8;
  --color-light: #f8f9fa;
  --color-dark: #343a40;

  /* حالت تیره و روشن */
  --color-background-light: #ffffff;
  --color-background-dark: #343a40;
  --color-text-light: #212529;
  --color-text-dark: #f8f9fa;

  --background-color-body: var(--color-background-light);
  --background-color-secondary: #f8f9fa;

  --text-color-body: var(--color-text-light);
  --text-color-muted: #6c757d;

  --border-color: #dee2e6;

  /* فاصله‌ها */
  --spacing-xs: 4px;
  --spacing-sm: 8px;
  --spacing-md: 16px;
  --spacing-lg: 24px;
  --spacing-xl: 32px;

  /* تنظیمات دکمه‌ها */
  --btn-padding: 0.5rem 1rem;
  --btn-border-radius: 0.25rem;
  --btn-font-size: 1rem;
  --btn-font-weight: 600;

  /* تنظیمات فرم‌ها */
  --input-padding: 0.375rem 0.75rem;
  --input-border-radius: 0.25rem;
  --input-border-color: #ced4da;
  --input-focus-border-color: var(--color-primary);
  --input-background-color: #ffffff;

  /* سیستم Grid */
  --grid-columns: 12;
  --grid-gutter-width: 15px;

  /* تنظیمات رسانه‌ها */
  --media-border-radius: 0.25rem;
  --media-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);

  /* انیمیشن‌ها و ترنزیشن‌ها */
  --transition-duration: 0.3s;
  --transition-timing-function: ease-in-out;
}

/* حالت تیره */
@media (prefers-color-scheme: dark) {
  :root {
    --background-color-body: var(--color-background-dark);
    --text-color-body: var(--color-text-dark);
  }
}

/* تنظیمات عمومی */

body {
  direction: rtl;
  font-family: var(--font-family-base);
  font-weight: var(--font-weight-normal);
  line-height: var(--line-height-base);
  letter-spacing: var(--letter-spacing-normal);
  font-size: var(--font-size-base);
  background-color: var(--color-light);
  color: var(--color-text);
  max-height: 100vh;
  padding: 2rem;
}

/* ستون سمت راست: داشبورد */
.sidebar {
  background-color: var(--color-background-light);
  padding: 1rem;
  border-left: 1px solid #ddd;
  display: grid;
  text-align: center;
  align-content: space-between;
  border-radius: 5px;
  box-shadow: var(--media-shadow);
  max-height: 95vh;
}

.sidebar__logo img {
  width: 64px;
  height: auto;
  margin-block-end: 4rem;
}

.sidebar__title {
  color: var(--color-background);
  margin-bottom: 10px;
  font-size: 1.5rem;
}

.sidebar__menu {
  display: grid;
}

.sidebar__item {
  padding: 0.5rem 1rem;
  cursor: pointer;
  color: var(--color-text-dark);
  border-radius: 5px;
  display: grid;
  grid-auto-flow: column;
  justify-content: flex-start;
  align-items: center;
  gap: 1rem;
}

.sidebar__item--active {
  background-color: var(--color-dark);
}

.sidebar_down {
  display: grid;
  gap: 1rem;
}

.sidebar__profile {
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.sidebar__user-info {
  display: grid;
  grid-auto-flow: row;

  align-items: center;
  justify-content: center;
  font-size: var(--spacing-lg);
  padding: 0.5rem;
}

.sidebar__login-time {
  font-size: var(--font-size-md);
  color: var(--text-color-muted);
}

#logoutButton {
  background-color: inherit;
  border: 1px solid var(--input-border-color);
  color: var(--color-text-light);
  cursor: pointer;
  padding: 0.5rem 1rem;
  font-size: var(--font-size-lg);
  border-radius: 5px;
  transition: all 0.3s;
  width: 100%;
  display: grid;
  grid-auto-flow: column;
  place-content: center;
  align-items: center;
  gap: 1rem;
}

#logoutButton:hover {
  background-color: var(--color-warning);
}

/* ستون سمت چپ: نمایش اطلاعات */
.content {
  background-color: inherit;
  max-height: 95vh;
  overflow-y: scroll;
}

/* بخش مدیریت کاربران */
.user-management {
  display: grid;
  gap: 1rem;
  grid-auto-rows: auto;
  align-content: start;
}

.user-management__header {
  display: grid;
  grid-template-columns: auto auto;

  grid-template-rows: auto auto;
  gap: 1rem;
  justify-content: space-between;
  background-color: var(--color-background-light);
  padding: 1rem;
  box-shadow: var(--media-shadow);
  border-radius: 5px;
}

.user-management__header-right {
  display: grid;
  gap: 1rem;
}

.user-management__title {
  font-size: var(--font-size-xl);
}

.user-management__actions {
  display: grid;
  align-items: center;
  justify-content: space-between;
  grid-auto-flow: column;
  height: auto;
}

.user-management__header-left {
  display: grid;
  align-items: center;
  justify-content: flex-end;
}

.user-management__search {
  display: grid;
  align-items: center;
  grid-auto-flow: column;
  gap: 0.5rem;
}

.user-management__search:hover {
  cursor: pointer;
}

.user-management__search-input {
  border: 1px solid #ddd;
  padding: 0.5rem 2rem;
  border-radius: 5px;
}

.user-management__header-down {
  grid-column: span 2;
}
.user-management__add-user-button {
  background-color: var(--color-button);
  color: var(--color-background);
  border: none;
  cursor: pointer;
  padding: 0.5rem 1rem;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.user-management__add-user-button:hover {
  background-color: var(--color-button-hover);
}

.user-management-main {
  display: grid;
  grid-auto-flow: row;
  gap: 1rem;
  background-color: var(--color-background-light);
  padding: 1rem;
  border-radius: 5px;
  box-shadow: var(--media-shadow);
}

.user-management__users-header {
  position: sticky;
  top: 0;
  background-color: var(--color-light-gray);
  box-shadow: var(--media-shadow);

  border-radius: 5px;
  font-size: var(--font-size-md);
  z-index: 1000; /* Ensure it is on top of other elements */
}

.user-management__users-header.scrolled {
}

.user-management__users-header ul {
  display: grid;
  min-width: max-content;
  grid-template-columns: repeat(6, 1fr);
  padding: 1rem;
  text-align: center;
  align-items: center;
}

.user-management__users-list {
  display: grid;
  gap: 0.5rem;
}

.user {
  padding: 0.5rem 1rem;
  border-bottom: 1px solid #ddd;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-auto-flow: column;
  border-bottom: 1px solid var(--color-light-gray);
  align-items: center;
  gap: 1rem;
  text-align: center;
  transition: all 0.1s;
}

.user:hover {
  background-color: var(--background-color-secondary);
}

[class*="-label"] {
  color: var(--color-gray);
  font-size: 0.9rem;
}

[class*="__value"] {
  margin-block-start: 0.5rem;
}

.user__specs {
}

.user__name,
.user__email {
}

/* ایجاد کاربر حدید */

.add-user-form {
  display: grid;

  padding: 1rem;
  background-color: #f5f5f5;
  border: 1px solid #ddd;
  border-radius: 5px;
}

#newCusID {
  display: none;
}

.add-user-info {
  display: grid;
  grid-template-rows: auto;
  gap: 0.5rem;
  align-items: flex-end;
  grid-auto-flow: column;
}

.add-user-form input {
  width: 100%;
  padding: 0.5rem;
  margin-top: 0.5rem;
  border: 1px solid #ddd;
  border-radius: 5px;
}

.user-management__button-label {
  display: grid;
  gap: 0.5rem;
}

.add-user-form button {
  padding: 0.5rem 1rem;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  background-color: #2b3a67;
  color: #ffffff;
  transition: background-color 0.3s;
}

.add-user-form button:hover {
  background-color: #1e2a50;
}

/* بخش جستجو */

.user-management__search-header {
  display: grid;
  grid-auto-flow: column;
  justify-content: space-between;
  align-items: center;
  gap: 0.5rem;

  background-color: var(--color-success);
  color: var(--color-background-light);
  padding: 0.5rem 1rem;
  border-radius: 5px;
  margin-bottom: 0.5rem;
}

.user-management__search-cancel {
  transition: all 0.3s;
}

.user-management__search-cancel:hover {
  color: var(--color-warning);
  cursor: pointer;
}
.user-management__search-cancel:hover {
  cursor: pointer;
}

.user-management__search-icon {
  transition: all 0.3s;
}

.user-management__search-icon:hover {
  font-weight: 900;
}

.user-management__search-show {
  display: grid;
  grid-template-columns: auto auto;
  justify-content: space-between;
  background-color: var(--color-success);
  color: var(--color-background-light);
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  padding: 0.5rem 1rem;
  border-radius: 5px;
}

/* استایل‌های ویرایش اطلاعات کاربر */

.user__input {
  display: none;
  border-radius: 5px;
  padding: 0.5rem 1rem;
  margin-block-start: 0.5rem;
}

.user__edit {
  display: grid;
  grid-auto-flow: column;
  justify-content: center;
  gap: 0.5rem;
}

.user__edit-button,
.user__save-button,
.user__delete-button {
  background-color: var(--color-button);
  color: var(--color-background);
  border: none;
  border-radius: 5px;
  padding: 0.5rem 1rem;
  cursor: pointer;
  transition: background-color 0.3s;
}

.user__edit-button:hover,
.user__save-button:hover,
.user__delete-button:hover {
  background-color: var(--color-button-hover);
}

/* بخش صفحه‌بندی */
.user-management__pagination {
  justify-content: center;
  align-items: center;
}

.pagination__button {
  padding: 5px 10px;
  margin: 0 5px;
  background-color: var(--color-button);
  color: var(--color-background);
  border: none;
  cursor: pointer;
  transition: background-color 0.3s;
  border-radius: 5px;
  padding: 0.5rem 1rem;
}

.pagination__button:hover {
  background-color: var(--color-button-hover);
}

.pagination__info {
  margin: 0 10px;
  color: var(--color-secondary);
}

/* پیام تست  */

.toast {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  background-color: #333;
  color: #fff;
  text-align: center;
  border-radius: 2px;
  padding: 16px;
  position: fixed;
  z-index: 1;
  left: 50%;
  bottom: 30px;
  font-size: 17px;
}

.toast.success {
  background-color: #4caf50; /* سبز برای پیام موفقیت */
}

.toast.error {
  background-color: #f44336; /* قرمز برای پیام خطا */
}

.toast.show {
  visibility: visible;
  animation: fadein 0.5s, fadeout 0.5s 3s;
}

@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 0;
    opacity: 0;
  }
}

/* Modal container */
.modal {
  display: none; /* Hidden by default */
  position: fixed;
  z-index: 1000; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto; /* Enable scroll if needed */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
  max-width: 400px; /* Maximum width for the modal */
  border-radius: 10px;
  text-align: center;
}

/* Close button */
.close-button {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}

.close-button:hover,
.close-button:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

/* Buttons */
.modal button {
  margin: 10px;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

#confirmDeleteButton {
  background-color: #dc3545;
  color: white;
}

#cancelButton {
  background-color: #6c757d;
  color: white;
}

/* -----------تنظیمات رسپانسیو---------- */

/* Hamburger icon styles */
.sidebar__hamburger {
  display: none;
  cursor: pointer;
  padding: 10px;
}

/* Media query to show the hamburger icon on smaller screens */
@media (max-width: 768px) {
  .sidebar__hamburger {
    display: block;
  }

  .sidebar__menu,
  .sidebar_down {
    display: none;
  }

  .sidebar--collapsed .sidebar__menu,
  .sidebar--collapsed .sidebar_down {
    display: block;
  }

  .sidebar--collapsed .sidebar__item-text,
  .sidebar--collapsed .sidebar__user-info .sidebar__item-text,
  .sidebar--collapsed .sidebar__logout .sidebar__item-text {
    display: none;
  }

  .user {
    min-width: max-content;
    grid-template-columns: repeat(6, 1fr);
  }
}

@media (max-width: 1200px) {
  .layout__sidebar {
    display: grid;
    grid-template-columns: auto auto;
    justify-content: space-between;
    margin-bottom: 1rem;
  }

  .sidebar_down {
    display: grid;
    align-content: space-between;
  }

  .user {
    min-width: max-content;
    grid-template-columns: repeat(6, 1fr);
  }
}

@media (min-width: 1200px) {
  .layout {
    display: grid;
    grid-auto-flow: column;
    min-height: 95vh;
    grid-template-columns: auto 1fr;
    gap: 1rem;
  }

  .layout__sidebar {
  }

  .layout__content {
  }
}
